# Asterisk Project : Asterisk 13 Application_PickupChan

Created by wikibot on Aug 08, 2014

# PickupChan()

### Synopsis

Pickup a ringing channel.

### Description

Pickup a specified channel if ringing.

### Syntax

    PickupChan(channel&[channel2[&...]],[options])

##### Arguments

- `channel` - ** `channel`
  - `channel2`
    List of channel names or channel uniqueids to pickup if ringing. For example, a channel name could be `SIP/bob` or `SIP/bob-00000000` to find `SIP/bob-00000000`.
- `options`
  - `p` - Supplied channel names are prefixes. For example, `SIP/bob` will match `SIP/bob-00000000` and `SIP/bobby-00000000`.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538